from flask import Flask
from flask_cors import CORS
from routes.detect import detect_bp
from routes.save import save_bp
from routes.show import show_bp
from routes.delete import delete_bp
from routes.upload import upload_bp
from routes.label import config_label

app = Flask(__name__)
CORS(app)


app.config["MAX_CONTENT_LENGTH"] = 100 * 1024 * 1024 

app.register_blueprint(detect_bp)
app.register_blueprint(save_bp)
app.register_blueprint(show_bp)
app.register_blueprint(delete_bp)
app.register_blueprint(upload_bp)
app.register_blueprint(config_label)

if __name__ == '__main__':
    app.run(debug=True)
